import { EventEmitter } from '@angular/core';
import { BannerType, QmsBannerConfirmButton, QmsBannerConfirmButtonClick, QmsBannerContent } from '../models/qms-banner.model';
export declare class QmsBannerConfirmComponent {
    type: BannerType;
    icon: string;
    title: string;
    innerHTML: string;
    contents: QmsBannerContent[];
    buttons: QmsBannerConfirmButton[];
    buttonClick: EventEmitter<QmsBannerConfirmButtonClick>;
    onClickButton(event: PointerEvent, button: QmsBannerConfirmButton): void;
}
